package HTMLTemplate

type Page interface {
	GetVersion() string
	GetLayout() string
	GetPage() string
	GetData() any
}

type SimplePage struct {
	Version string
	Layout  string
	Page    string
	Data    any
}

func (s SimplePage) GetVersion() string {
	return s.Version
}

func (s SimplePage) GetLayout() string {
	return s.Layout
}

func (s SimplePage) GetPage() string {
	return s.Page
}

func (s SimplePage) GetData() any {
	return s.Data
}
